Package com.google.protobuf

# Class TextFormatParseLocation

java.lang.Object
com.google.protobuf.TextFormatParseLocation

public final class TextFormatParseLocation extends Object
A location in the source code.

A location is the starting line number and starting column number.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TextFormatParseLocation`
`EMPTY`
The empty location.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getColumn()`
`int`
`getLine()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### EMPTY

public static final TextFormatParseLocation EMPTY
The empty location.

## Method Details

### getLine

public int getLine()

### getColumn

public int getColumn()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`